%define aurox_ver 9.4
%define rel 3



# $Id: kdelibs.spec,v 1.85 2004/03/16 21:50:06 rexdieter Exp $

# Conditional build:
# --without fast-malloc
# --without libfam
# --without alsa

# define to enable pcre,dnotify support
%define pcre 1 
%define dnotify 1

#alsa: default to --with-alsa, unless built: --without alsa
%{!?_without_alsa:%define _with_alsa --with-alsa}

%define _with_apidocs 1

%define kde_major_version 3
%define is_release 2
%define arts_ver 8:1.2
%define qt_ver 1:3.3

Summary: K Desktop Environment - Libraries
Name:	 kdelibs
Epoch:	 6
Version: 3.2.2
Release: %{aurox_ver}.aur.%{rel}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.2/src/kdelibs-3.2.2.tar.bz2
Source1: desktop-create-kmenu.c
Group:	 System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# kde-redhat bug #690691,
Conflicts: cervisia < 2:3.1
Conflicts: kdebase < 6:3.2
Conflicts: kdesdk < 0:3.2

# keramik now included -- Rex
Obsoletes: keramik

Obsoletes: %{name}2
Obsoletes: kdesupport 

%define koffice_ver 4:1.3
Obsoletes: koffice-mimelnk <= %{koffice_ver}
Provides: koffice-mimelnk = %{koffice_ver}
Conflicts: openoffice.org < 0:1.1.0-10.fdr.0
Conflicts: openoffice < 0:1.1

# fast-malloc support (only for ix86 arch and glibc < 2.3) -- Rex
BuildRequires: glibc-devel
%define glibc_ver %(rpm -q --qf "%%{version}" glibc-devel)
%if "%{glibc_ver}" < "2.3.0"
%ifarch %{ix86}
%define fast_malloc --enable-fast-malloc
%endif
%endif

Requires: qt >= %{qt_ver} 
Requires: arts >= %{arts_ver} 
Requires: libxml2 >= 2.5.11
Requires: libxslt >= 1.0.33
Requires: hicolor-icon-theme
### ACK, horribly broken -- Rex
#Requires: redhat-menus >= 1.0
Requires: aurox-menus >= 0.45
# Let rpm auto-handle these -- Rex
#Requires: cups-libs >= 1.1.14
#Requires: libart_lgpl >= 2.3.16
#Requires: libmng libpng libjpeg libtiff

%if "%{?redhatify}" == "1"
Requires: redhat-artwork >= 0.92
%endif

# XFree86 support
BuildRequires: XFree86-devel >= 4.2.1
%define xfree86_ver %(rpm -q --qf '%%{version}' XFree86-devel )

## gcc version in use? Need -fuse-cxa-atexit?
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )
%if "%{gcc_ver}" == "2.96"
%define cxa -fuse-cxa-atexit
#define debug 1
#define debug_package %{debug}
%endif

BuildRequires: qt-devel >= %{qt_ver}
BuildRequires: arts-devel >= %{arts_ver}
BuildRequires: cups-devel >= 1.1.12
BuildRequires: flex >= 2.5.4a-13
BuildRequires: libxslt-devel >= 1.0.30
BuildRequires: libart_lgpl-devel >= 2.3.10
BuildRequires: libmng-devel libpng-devel libjpeg-devel libtiff-devel
BuildRequires: zlib-devel
BuildRequires: jasper-devel
%{?pcre:BuildRequires: pcre-devel}
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: audiofile-devel
BuildRequires: openssl-devel
BuildRequires: perl
BuildRequires: gawk
BuildRequires: byacc
#we want to have vector icons
BuildRequires: librsvg2-devel
BuildRequires: libart_lgpl-devel


%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
%{!?_without_libfam:BuildRequires: fam-devel }

%if "%{?_with_alsa:1}" == "1"
BuildRequires: alsa-lib-devel
# let rpm auto-handle this
#Requires: alsa-lib
%endif

Patch0: kde-libtool.patch

Patch2: kdelibs-3.0.0-ndebug.patch
Patch3: kdelibs-3.2.0-icon.patch
Patch4: kdelibs-3.0.4-ksyscoca.patch
#Patch9: kdelibs-3.0.3-redhat.patch
Patch10: kdelibs-3.0.4-dtfix.patch

Patch11: kdelibs-3.1.93-lib64.patch
Patch15: kdelibs-3.1.95-buildroot.patch
Patch16: kdelibs-3.1-ssl-krb5.patch
#we don't want Bluecurve
#Patch20: kdelibs-3.1-defaultstyle.patch
Patch21: kdelibs-3.2-flash.patch
Patch22: kdelibs-3.1-kio.patch

#aurox patch for menus
Patch25: kdelibs-3.1-gnome-menu.patch
#moved to patch0
#Patch24:kdelibs-3.1-libtool.patch
Patch28: kdelibs-3.1.2-openssl-2.patch

## kde-redhat sources/patches
# gcc296 fix: http://bugs.kde.org/show_bug.cgi?id=74805
Patch1000: kdelibs-3.2.0-gcc296.patch

#aurox patch: not be in conflict with OpenOffice.org
Patch2000: kdelibs-3.2.1-mime.patch
%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook),
kimgio (image manipulation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: qt-devel >= %{qt_ver}
Requires: arts-devel >= %{arts_ver} 
# Get these from qt-devel now? -- Rex
Requires: libpng-devel
%{?pcre:Requires: pcre-devel}
Obsoletes: kdesupport-devel < %{epoch}:%{version}-%{release}
Conflicts: kdebase-devel < 6:3.2.0
%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

#%if "%{?_with_apidocs:1}" == "1"
#%package apidocs
#Group: Documentation
#Summary: API documentation for %{name}
#BuildRequires: doxygen
#Requires: %{name}-devel = %{epoch}:%{version}
#%description apidocs
#API documentation for %{name} %{version}.
#%endif

%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta} 
%else 
%setup -q -n %{name}
%endif

%patch0 -p1 -b .libtool
%if "%{?debug}" != "1" 
%patch2 -p1 -b .debug
%endif
%patch3 -p1 -b .icon
%patch4 -p1 -b .ksyscoca
#%patch9 -p1 -b .menu
%patch10 -p1 -b .dtfix

%patch11 -p1 -b .lib64


%patch15 -p1 -b .buildroot
%patch16 -p1 -b .ssl-krb5
#%if "%{?redhatify}" == "1"
#%patch20 -p1 -b .defaultstyle
#%endif
# flash patch
%patch21 -p1
%patch22 -p1 -b .kio
# Now patch0
#patch24 -p1 -b .libtool
%patch28 -p1 -b .openssl

%patch2000 -p1 -b .mime
## kde-redhat patches
#if "%{gcc_ver}" == "2.96"
#patch1000 -p1 -b .gcc296
#endif

perl -pi -e "s,^#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING \"%{version}-%{release}\"," kdecore/kdeversion.h

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE %{?cxa}"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

if pkg-config openssl ; then
   export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
   export CXXFLAGS="$CXXFLAGS `pkg-config --cflags openssl`"
   export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
   export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

# Check which version/distribution we are...
VERSION=`cat /etc/redhat-release 2>/dev/null`
if [ -z "$VERSION" ]; then
  VERSION="A Red Hat Linux-based distribution"
fi

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --with-qt-libraries=$QTDIR/lib \
  --disable-rpath \
  --with-distribution="$VERSION" \
  --enable-cups \
  --enable-mitshm \
  --with-xinerama \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings \
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final \
%endif
  %{!?pcre:--disable-pcre} \
  %{?dnotify:--enable-dnotify} %{!?dnotify:--disable-dnotify } \
  %{?_without_libfam: --disable-libfam --without-libfam} \
  %{!?_without_fast-malloc: %{?fast_malloc}} \
  %{?_with_alsa} %{?_without_alsa} 

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

make %{?_smp_mflags}

# Default to no apidox, for now -- Rex
%{?_with_apidocs:make apidox}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

pushd $RPM_BUILD_ROOT%{_docdir}
ln -sf HTML/en/kdelibs-apidocs %{name}-devel-%{kde_major_version}
popd

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

# For hicolor-icon-theme
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/index.theme
# For redhat-menus (BROKEN -- Rex)
#mv $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu \
#   $RPM_BUILD_ROOT/etc/xdg/menus/applications.menu.kde
# moved to aurox-menus
rm -rf $RPM_BUILD_ROOT/etc/xdg/menus/*

# remove references to optional libraries in .la files
perl -pi -e "s@-lfam@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la
perl -pi -e "s@%{_libdir}/libfam.la@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la
perl -pi -e "s@-lart_lgpl_2@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la
perl -pi -e "s@%{_libdir}/libpcreposix.la@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la
perl -pi -e "s@-lpcreposix@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la
perl -pi -e "s@-lpcre@@g" $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%pre devel
## (kde-redhat bug #690691)
# This *should* be a symlink, otherwise nuke
DIR1=%{_docdir}/%{name}-devel-%{kde_major_version}
[ ! -L "${DIR1}" ] && /bin/rm -rf "${DIR1}"
# This *should not* be a symlink, otherwise nuke.
DIR2=%{_docdir}/HTML/en/kdelibs-%{version}-apidocs
[ -L "${DIR2}" ] && /bin/rm "${DIR2}"
exit 0

%pre
if [ -d /etc/skel/Desktop/Autostart ]; then
   mv -f /etc/skel/Desktop/Autostart /etc/skel/Desktop/Autostart-OLD..KDE
elif [ -d /etc/skel/Desktop/Autostart.rpmsave ]; then
   mv -f /etc/skel/Desktop/Autostart.rpmsave /etc/skel/Desktop/Autostart-OLD..KDE
fi

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
# menus moved to aurox-menus
#/etc/xdg/menus/*
%{_bindir}/[a-c,e-j,l-z]*
%attr(4755,root,root) %{_bindir}/kpac_dhcp_helper
%{_bindir}/k[a-o,q-z]*
%{_bindir}/dcop[a-h,j-z]*
%{_bindir}/dcop
%{_libdir}/kde3
%{_libdir}/lib*
# except these, go in -devel
%exclude %{_libdir}/libkio.[ls][ao]
%exclude %{_libdir}/libkdeui.[ls][ao]
%{_datadir}/applications/*
%{_datadir}/apps
%{_datadir}/autostart
%dir %{_datadir}/config
%config(noreplace) %{_datadir}/config/*
%{_datadir}/icons
%{_datadir}/locale/all_languages
%{_datadir}/mimelnk
%{_datadir}/services
%{_datadir}/servicetypes
%dir %{_docdir}/HTML
%lang(en) %dir %{_docdir}/HTML/en
# match all except kdelibs-apidocs, which goes in -devel
%lang(en) %doc %{_docdir}/HTML/en/[a-j,l-z,A-Z]*
%lang(en) %doc %{_docdir}/HTML/en/k[a-c,e-z]*

%files devel
%defattr(-,root,root)
%{_bindir}/dcopidl*
%{_includedir}/kde
%{_libdir}/libkdeui.[ls][ao]
%{_libdir}/libkio.[ls][ao]
%doc %{_docdir}/%{name}-devel-%{kde_major_version}

%if "%{?_with_apidocs:1}" == "1"
%lang(en) %doc %{_docdir}/HTML/en/kdelibs-apidocs
%endif


%changelog
* Wed May 12 2004 Aurox Team <aurox@aurox.org> 6:3.2.2-9.4.aur.3
- build with docs
- move menus to aurox-menus; require recent aurox-menus
- 3.2.2
- default style back to Keramik
- build without our patches
- blah

* Wed Mar 17 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.4
- backout using redhat-menus >= 1.0, it's broken big time.

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.3
- remove references to pcre in .la files

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.2
- Requires: redhat-menus >= 1.0
- cleanup/remove deprecated patches
- make pcre,dnotify support optional (default to enabled)

* Thu Mar 04 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.1
- respin

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.0
- 3.2.1
- Requires: arts >= 1.2, qt >= 3.3
- Requires: hicolor-icon-theme

* Sat Feb 28 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.8
- fix filelist

* Mon Feb 23 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.7
- fix kde bug #57590
- Conflicts: openoffice 

* Fri Feb 20 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.6
- gcc296: -fuse-cxa-atexit

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.5
- handle --with/--without alsa
- (re)include dcop

* Wed Feb 11 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.4
- Conflicts: openoffice.org < 0:1.1.0-10.fdr.0

* Tue Feb 10 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.3
- include gcc296 patch from:
  http://bugs.kde.org/show_bug.cgi?id=74805
- BuildRequires: zlib-devel
- fix VERSION/distribution detection

* Fri Feb 06 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.2
- Requires: arts >= 1.1.5 (from 1.2.0) to allow use of arts-1.1.x

* Tue Feb 03 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.1
- Conflicts: kdebase < 3.2.0, kdesdk < 3.2.0
- -devel: Conflicts: kdebase-devel < 3.2.0

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.0
- 3.2.0

* Thu Jan 22 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.1
- BuildRequires: jasper

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.0
- 3.1.95

* Tue Jan 13 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.1
- vcard patch
- -O0 on rh73/gcc296 (for now)

* Fri Dec 12 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.0
- 3.1.94

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.6
- (re)build on/for qt-3.2.3

* Tue Nov 25 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.5
- (rh73/gcc296) fix uic issue(s): use -fuse-cxa-atexit

* Fri Nov 21 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.3
- rebuild to remove dep's on libqt-mt.la
- remove gccver crud
- remove uneeded usage of rhversion macro(s).
- package -apidocs separately.

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.2
- rebuild against qt-3.2.2

* Tue Oct 21 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.1
- sync to rawhide's 3.1.4-4
- own %%_docdir/HTML

* Fri Oct 17 2003 Than Ngo <than@redhat.com> 6:3.1.4-4
- fixed icon scale patch, thanks to Thomas Wörner

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.0
- 3.1.4

* Wed Sep 03 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3a-0.fdr.0
- 3.1.3a

* Wed Aug 27 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.3
- include drop-shadows patch:
  http://www.kde-look.org/content/show.php?content=4750

* Tue Aug 05 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.1
- horizontal scrollbar patch (kde bug #61730).

* Thu Jul 24 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.0
- 3.1.3
- sync to redhat's kdebase-3.1.2-0.9x.3

* Fri Jul 11 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.5
- %%lang'ify HTML docs.

* Fri Jun 27 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.4
- rebuild against newer arts.

* Fri May 30 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.3
- rebuild against new(er) qt-3.1.2-7

* Wed May 21 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.1
- include kdelibs-3.1.2-form_print.patch (kde bug #39303)

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Sun May 4 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.3
- rework handling of kdelibs-apidocs w/o using %%exclude
  (redhat bug #89661)

* Fri May 2 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.2
- sync to kde.org's kdelibs-3.1.1-0.8x.3
- tweak desktop-create-kmenu bits.

* Tue Apr 22 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.1
- remove references to external/optional libraries in .la files: 
  -lmad, -lart_lgpl_2
- move libkdeui.la,libkio.la to -devel pkg.
- tweak gccver(sioning)

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-1.0
- rebuild for release.

* Mon Apr 14 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-0.1
- rebuild to purge a few remaining unwanted .la file dependancies.

* Thu Apr 10 2003 Rex Dieter <rexdieter at sf.net> 3.1.1a-0.0
- 3.1.1a security release.

* Tue Apr 08 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.5
- yank font_size patch (didn't work).

* Tue Apr 08 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.4
- kdelibs-3.1.1-zero_font_size.patch (kde bug#56894)

* Fri Apr 04 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.3
- include desktop-create-kmenu (rh8/rh9)
- Use --enable-final again.

* Sat Mar 28 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.2
- Conflicts: kdebase <= 3.1 only if desktop_file=1

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.1
- include streaming patch(es) from 
  http://rambo.its.tudelft.nl/~ewald/xine/

* Thu Mar 20 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.
- move desktop-create-kmenu to kdelibs (following redhat's lead)

* Mon Mar 17 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.4
- remove -default style patch to fully/properly revert to Keramik.

* Thu Mar 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.3
- remove redhat-artwork Require'ment.  (TODO: fixup kde defaults
  to *not* use BlueCurve)
- -devel: Requires: libart_lgpl

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.2
- work on nuking gccver(sioning) (kde-redhat rfe #696544)
- better apidoc handling (kde-redhat bug #690691)

* Wed Feb 26 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.1
- fix apidoc handling (kde-redhat bug #690691)
- klibloader patch to help kio_slaves die off.
- don't own /usr/share/applications

* Mon Feb 24 2003 Rex Dieter <rexdieter at sf.net> 3.1-9.0
- sync to rawhide 3.1-9
- rebuild, new version-release. (kde-redhat bug #692458)

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 6:3.1-9
- add fix from Thomas Wörner to watch /usr/share/applications
  for changes, (bug #71613)

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-8
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-7.1
- use epochs in Obsoletes/Provides/Requires.

* Wed Feb 19 2003 Rex Dieter <rexdieter at sf.net> 3.1-7.0
- sync to rawhide 3.1-7 

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-7
- fixed arts bug #82750, requires rebuild of kdelibs

* Wed Feb 12 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.4
- sync to rawhide 3.1-6

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 6:3.1-6
- fix Norway i18n issue, bug #73446

* Mon Feb 10 2003 Than Ngo <than@redhat.com> 6:3.1-5
- konqueror crashes on a double click, bug #81503

* Mon Feb 10 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- put api-docs in -devel, not main pkg.

* Sun Feb 09 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- sync to rawhide 3.1-3

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning
- Add explicit (Build)Requires for libxml2/libxslt

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 27 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc7.0
- 3.1rc7

* Wed Jan 15 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.1
- sync to rawhide's 3.1-0.11
- dnotify patch.

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.11
- exclude ia64

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.10
- rebuild

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- removed silly size_t check

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.8
- rc6

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.7
- ssl uses krb5

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6
- disable fam (to follow redhat's lead)... for now.
- use doxygen in favor of kdoc.
- (Build)Requires: libart_lgpl(-devel)
- (Build)Requires: libtiff(-devel)

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.1-0.5
- rebuild

* Thu Dec 12 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix dependency bug
- use kdoc to create api docs

* Sat Dec 07 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5

* Wed Dec 04 2002 Rex Dieter <rexdieter at sf.net> 3.0.99-1
- 3.0.99
- cleanup/simplify %%files.
- use %%qt_ver define
- touchup Requires (to be more compat with rh8)
- Obsoletes/Provides: keramik

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix bug #78646
- set kde_major_version

* Fri Nov 22 2002 Than Ngo <than@redhat.com> 3.1-0.2
- use doxygen to create api docs

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update rc4 
- adjust many patch files for 3.1
- remove some patch files, which are now in 3.1

